Fehlermeldung "No more handles"

Problems occurred when invoking code from plug-in: "org.eclipse.equinox.app".

java.lang.NoClassDefFoundError: org/eclipse/swt/accessibility/AccessibleObject
	at org.eclipse.equinox.launcher.JNIBridge._takedown_splash(Native Method)
	at org.eclipse.equinox.launcher.JNIBridge.takeDownSplash(JNIBridge.java:173)
	at org.eclipse.equinox.launcher.Main.takeDownSplash(Main.java:2219)
	at org.eclipse.equinox.launcher.Main$SplashHandler.run(Main.java:120)
	at org.eclipse.core.runtime.internal.adaptor.DefaultStartupMonitor.applicationRunning(DefaultStartupMonitor.java:71)
	at org.eclipse.equinox.internal.app.EclipseAppHandle$1.run(EclipseAppHandle.java:279)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.applicationRunning(EclipseAppHandle.java:267)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$5.run(PartRenderingEngine.java:1093)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:338)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1047)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:155)
	at org.eclipse.e4.ui.internal.workbench.swt.E4Application.start(E4Application.java:166)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:401)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:659)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:595)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1501)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1474)
Caused by: java.lang.ClassNotFoundException: org.eclipse.swt.accessibility.AccessibleObject
	at java.net.URLClassLoader.findClass(URLClassLoader.java:382)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 26 more
Internal Error

org.eclipse.swt.SWTError: No more handles
	at org.eclipse.swt.SWT.error(SWT.java:4749)
	at org.eclipse.swt.SWT.error(SWT.java:4638)
	at org.eclipse.swt.SWT.error(SWT.java:4609)
	at org.eclipse.swt.widgets.Dialog.error(Dialog.java:202)
	at org.eclipse.swt.widgets.FileDialog.openNativeChooserDialog(FileDialog.java:320)
	at org.eclipse.swt.widgets.FileDialog.open(FileDialog.java:304)
	at name.abuchen.portfolio.ui.handlers.ImportPDFHandler.runImport(ImportPDFHandler.java:67)
	at name.abuchen.portfolio.ui.handlers.ImportPDFHandler.lambda$0(ImportPDFHandler.java:58)
	at java.util.Optional.ifPresent(Optional.java:159)
	at name.abuchen.portfolio.ui.handlers.ImportPDFHandler.doExecute(ImportPDFHandler.java:58)
	at name.abuchen.portfolio.ui.handlers.ImportPDFHandler.execute(ImportPDFHandler.java:52)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:58)
	at org.eclipse.e4.core.internal.di.InjectorImpl.invokeUsingClass(InjectorImpl.java:319)
	at org.eclipse.e4.core.internal.di.InjectorImpl.invoke(InjectorImpl.java:253)
	at org.eclipse.e4.core.contexts.ContextInjectionFactory.invoke(ContextInjectionFactory.java:173)
	at org.eclipse.e4.core.commands.internal.HandlerServiceHandler.execute(HandlerServiceHandler.java:156)
	at org.eclipse.core.commands.Command.executeWithChecks(Command.java:488)
	at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks(ParameterizedCommand.java:487)
	at org.eclipse.e4.core.commands.internal.HandlerServiceImpl.executeHandler(HandlerServiceImpl.java:213)
	at org.eclipse.e4.ui.workbench.renderers.swt.HandledContributionItem.executeItem(HandledContributionItem.java:438)
	at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection(AbstractContributionItem.java:449)
	at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem.lambda$2(AbstractContributionItem.java:475)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:89)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:5685)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1423)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4953)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:4446)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$5.run(PartRenderingEngine.java:1158)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:338)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1047)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:155)
	at org.eclipse.e4.ui.internal.workbench.swt.E4Application.start(E4Application.java:166)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:401)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:659)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:595)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1501)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1474)

Das sieht alles ziemlich merkwürdig aus. Da gibt es einen Fehler beim öffnen des Dialogs zur Dateiauswahl. Hast Du das Programm schon mal neu gestartet?

Bei dem 404 Fehler oben, wird zu dem Wertpapier keine Seite bei DivvyDiary gefunden. Der andere Fehler hat irgendwas mit dem UI zu tun… Da kenne ich mich nicht wirklich aus?

Neu starten oder eventuell sogar frisch installieren?

Neu starten hat keine Besserung gebracht. Bleiben alle meine Konfigurationen beim „frisch installieren“ erhalten? Ich habe eine menge shorcuts etc. konfiguriert, das möchte ich nicht verlieren.

Normalerweise bleibt alles erhalten, weil die Daten von dem Programm getrennt liegen. Besser ist immer, vorher eine Kopie der Datendatei zu erstellen.

Denkst Du an was bestimmtest? Habe ich was übersehen?

Der Fehler kann m.V.n. auftreten, wenn PP zu viele System-Resourcen (=SWT Element) anlegt und nicht wieder freigibt. Tritt der Fehler sofort auf? Oder erst nach einiger Zeit?

Auf welcher Linux Distribution bist Du unterwegs?

Ubuntu 16.04 rebootet, PP neu heruntergeladen, gestartet, wieder Fehler beim PDF-Import. Keine Sparpläne.

Da ich mit Windows arbeite, kann ich die Probleme leider nicht nachvollziehen. Ist es unter Ubuntu, wie bei Windows möglich, beide Versionen parallel zu haben, um in der aktuellen Version zu testen?

Und, welche der o.g. Fehlermeldungen gibt es auch unter 0.48.1?

unter 0.48.1 ist die gleiche Fehlermeldung, wie unter 0.48 s. Bild oben.

Der Fehler tritt sofort auf, beim Versuch ein Menüpunkt unter „Importieren“ auszuwählen.

Funktionieren sonst alle anderen Features des Programms oder tritt der Fehler auch an derer Stelle auf, beispielsweise, wenn über das Menü eine PP Datei geöffnet werden soll?

Mit Hilfe --> Debug: GUI zurücksetzen ließen sich in der Vergangenheit auch schon manche Fehler beheben, die mit dem UI zu tun haben und bei swt haben wir es mit dem UI zu tun. Vielleicht mal ausprobieren, ob das Zurücksetzen was bringt.

Vielleicht hilfen auch die Infos aus diesem Thread: PP startet mit weißem Bildschirm

Die anderen Features haben funktioniert, soweit ich es beurteilen kann, allerdings nach dem GUI zurücksetzen kann keine PP Datei geöffnet werden.
Komm die selbe Fehlermeldung, wie oben"org.eclipse.swt.SWTError: No more handles".

das Workspace Verzeichnis zu löschen, hat keine Besserung gebracht.

Mon Sep 07 01:39:10 CEST 2020
Problems occurred when invoking code from plug-in: "org.eclipse.equinox.app".

java.lang.NoClassDefFoundError: org/eclipse/swt/accessibility/AccessibleObject
	at org.eclipse.equinox.launcher.JNIBridge._takedown_splash(Native Method)
	at org.eclipse.equinox.launcher.JNIBridge.takeDownSplash(JNIBridge.java:173)
	at org.eclipse.equinox.launcher.Main.takeDownSplash(Main.java:2156)
	at org.eclipse.equinox.launcher.Main$SplashHandler.run(Main.java:122)
	at org.eclipse.core.runtime.internal.adaptor.DefaultStartupMonitor.applicationRunning(DefaultStartupMonitor.java:71)
	at org.eclipse.equinox.internal.app.EclipseAppHandle$1.run(EclipseAppHandle.java:279)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.applicationRunning(EclipseAppHandle.java:267)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$5.run(PartRenderingEngine.java:1093)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:338)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1047)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:155)
	at org.eclipse.e4.ui.internal.workbench.swt.E4Application.start(E4Application.java:166)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:401)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:657)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:594)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1447)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1420)
Caused by: java.lang.ClassNotFoundException: org.eclipse.swt.accessibility.AccessibleObject
	at java.net.URLClassLoader.findClass(URLClassLoader.java:382)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 26 more


Konnte man schon das Problem lokalisieren?

Wenn ich es richtig sehe, liegt das alles im Framework. In anderen Threads wurde ein vergleichbares Verhalten unter Linux und MacOS berichtet. Da ich selbst auf Windows unterwegs bin, kann ich da leider nicht weiterhelfen.

Es scheint nur eine komplette Neuinstallation zu helfen. Wobei auch das wohl nicht ganz trivial ist. Vielleicht haben @AndreasB oder @Ragas noch eine Idee?!

Wenn ich so die letzten Tage zum Thema „org.eclipse.swt.SWTError: No more handles“ betrachte, so scheint dies derzeit nur bei Linux aufzutreten. Bei Win oder Apple habe ich nichts gesehen, oder habe ich etwas verpasst?

Wenn Linux dann habe ich GTK in Verdacht. Mit dem Update von PP auf Version 0.48.0 gelten folgende Anforderungen:

Ich glaube, dies lässt sich via folgende Befehl überprüfen:

dpkg -l | grep gtk

Neuinstallation hat nichts verbessert.

ii  apport-gtk                                    2.20.1-0ubuntu2.24                              all          GTK+ frontend for the apport crash report system
ii  gir1.2-gtk-3.0:amd64                          3.18.9-1ubuntu3.3                               amd64        GTK+ graphical user interface library -- gir bindings
ii  gir1.2-gtksource-3.0:amd64                    3.18.2-1                                        amd64        gir files for the GTK+ syntax highlighting widget
ii  gir1.2-javascriptcoregtk-3.0:amd64            2.4.11-0ubuntu0.1                               amd64        JavaScript engine library from WebKitGTK+ - GObject introspection data
ii  gir1.2-javascriptcoregtk-4.0:amd64            2.20.5-0ubuntu0.16.04.1                         amd64        JavaScript engine library from WebKitGTK+ - GObject introspection data
ii  gtk2-engines-murrine:amd64                    0.98.2-0ubuntu2.2                               amd64        cairo-based gtk+-2.0 theme engine
ii  ibus-gtk:amd64                                1.5.11-1ubuntu2.4                               amd64        Intelligent Input Bus - GTK+2 support
ii  ibus-gtk3:amd64                               1.5.11-1ubuntu2.4                               amd64        Intelligent Input Bus - GTK+3 support
ii  libavahi-ui-gtk3-0:amd64                      0.6.32~rc+dfsg-1ubuntu2.3                       amd64        Avahi GTK+ User interface library for GTK3
ii  libcanberra-gtk-module:amd64                  0.30-2.1ubuntu1                                 amd64        translates GTK+ widgets signals to event sounds
ii  libcanberra-gtk0:amd64                        0.30-2.1ubuntu1                                 amd64        GTK+ helper for playing widget event sounds with libcanberra
ii  libcanberra-gtk3-0:amd64                      0.30-2.1ubuntu1                                 amd64        GTK+ 3.0 helper for playing widget event sounds with libcanberra
ii  libcanberra-gtk3-module:amd64                 0.30-2.1ubuntu1                                 amd64        translates GTK3 widgets signals to event sounds
ii  libcheese-gtk25:amd64                         3.18.1-2ubuntu3                                 amd64        tool to take pictures and videos from your webcam - widgets
ii  libclutter-gtk-1.0-0:amd64                    1.6.6-1                                         amd64        Open GL based interactive canvas library GTK+ widget
ii  libdbusmenu-gtk3-4:amd64                      16.04.1+16.04.20160927-0ubuntu1                 amd64        library for passing menus over DBus - GTK+ version
ii  libdbusmenu-gtk4:amd64                        16.04.1+16.04.20160927-0ubuntu1                 amd64        library for passing menus over DBus - GTK+ version
ii  libgtk-3-0:amd64                              3.18.9-1ubuntu3.3                               amd64        GTK+ graphical user interface library
ii  libgtk-3-bin                                  3.18.9-1ubuntu3.3                               amd64        programs for the GTK+ graphical user interface library
ii  libgtk-3-common                               3.18.9-1ubuntu3.3                               all          common files for the GTK+ graphical user interface library
ii  libgtk2-perl                                  2:1.2498-1                                      amd64        Perl interface to the 2.x series of the Gimp Toolkit library
ii  libgtk2.0-0:amd64                             2.24.30-1ubuntu1.16.04.2                        amd64        GTK+ graphical user interface library
ii  libgtk2.0-bin                                 2.24.30-1ubuntu1.16.04.2                        amd64        programs for the GTK+ graphical user interface library
ii  libgtk2.0-common                              2.24.30-1ubuntu1.16.04.2                        all          common files for the GTK+ graphical user interface library
ii  libgtkglext1:amd64                            1.2.0-3.2fakesync1ubuntu1                       amd64        OpenGL Extension to GTK+ (shared libraries)
ii  libgtkglextmm-x11-1.2-0v5:amd64               1.2.0-7                                         amd64        C++ bindings for GtkGLExt (Shared libraries)
ii  libgtkmm-2.4-1v5:amd64                        1:2.24.4-2                                      amd64        C++ wrappers for GTK+ (shared libraries)
ii  libgtkmm-3.0-1v5:amd64                        3.18.0-1                                        amd64        C++ wrappers for GTK+ (shared libraries)
ii  libgtksourceview-3.0-1:amd64                  3.18.2-1                                        amd64        shared libraries for the GTK+ syntax highlighting widget
ii  libgtksourceview-3.0-common                   3.18.2-1                                        all          common files for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-0                         2.10.5-2ubuntu2                                 amd64        shared libraries for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-common                    2.10.5-2ubuntu2                                 all          common files for the GTK+ syntax highlighting widget
ii  libgtkspell3-3-0:amd64                        3.0.7-2                                         amd64        spell-checking addon for GTK+'s TextView widget
ii  libgwengui-gtk2-0                             4.15.2beta-2build1                              amd64        Gwenhywfar GUI implementation for GTK2
ii  libido3-0.1-0:amd64                           13.10.0+16.04.20161028-0ubuntu1                 amd64        Shared library providing extra gtk menu items for display in
ii  libjavascriptcoregtk-1.0-0:amd64              2.4.11-0ubuntu0.1                               amd64        JavaScript engine library from WebKitGTK+
ii  libjavascriptcoregtk-3.0-0:amd64              2.4.11-0ubuntu0.1                               amd64        JavaScript engine library from WebKitGTK+
ii  libjavascriptcoregtk-4.0-18:amd64             2.20.5-0ubuntu0.16.04.1                         amd64        JavaScript engine library from WebKitGTK+
ii  libnm-gtk-common                              1.2.6-0ubuntu0.16.04.4                          all          library for wireless and mobile dialogs - common files
ii  libnm-gtk0:amd64                              1.2.6-0ubuntu0.16.04.4                          amd64        library for wireless and mobile dialogs (libnm-glib version)
ii  libreoffice-gtk                               1:5.1.6~rc2-0ubuntu1~xenial10                   amd64        office productivity suite -- GTK+ integration
ii  libunity-gtk2-parser0:amd64                   0.0.0+15.04.20150118-0ubuntu3                   amd64        GtkMenuShell to GMenuModel parser
ii  libunity-gtk3-parser0:amd64                   0.0.0+15.04.20150118-0ubuntu3                   amd64        GtkMenuShell to GMenuModel parser
ii  libwebkit2gtk-4.0-37:amd64                    2.20.5-0ubuntu0.16.04.1                         amd64        Web content engine library for GTK+
ii  libwebkit2gtk-4.0-37-gtk2:amd64               2.20.5-0ubuntu0.16.04.1                         amd64        Web content engine library for GTK+ - GTK+2 plugin process
ii  libwebkitgtk-1.0-0:amd64                      2.4.11-0ubuntu0.1                               amd64        Web content engine library for GTK+
ii  libwebkitgtk-1.0-common                       2.4.11-0ubuntu0.1                               all          Web content engine library for GTK+ - data files
ii  libwebkitgtk-3.0-0:amd64                      2.4.11-0ubuntu0.1                               amd64        Web content engine library for GTK+
ii  libwebkitgtk-3.0-common                       2.4.11-0ubuntu0.1                               all          Web content engine library for GTK+ - data files
ii  libwmf0.2-7-gtk                               0.2.8.4-10.5ubuntu1                             amd64        Windows metafile conversion library
ii  libwxgtk3.0-0v5:amd64                         3.0.2+dfsg-1.3ubuntu0.1                         amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
ii  overlay-scrollbar-gtk2:amd64                  0.2.17.1+16.04.20151117-0ubuntu1.16.04.1        amd64        GTK 2 module for overlay scrollbars
ii  python-gtk2                                   2.24.0-4ubuntu1                                 amd64        Python bindings for the GTK+ widget set
ii  python-gtksourceview2                         2.10.1-2build1                                  amd64        Python bindings for the GtkSourceView widget
ii  python-wxgtk3.0                               3.0.2.0+dfsg-1build1                            amd64        Python interface to the wxWidgets Cross-platform C++ GUI toolkit
ii  python3-aptdaemon.gtk3widgets                 1.1.1+bzr982-0ubuntu14.3                        all          Python 3 GTK+ 3 widgets to run an aptdaemon client
ii  software-properties-gtk                       0.96.20.10                                      all          manage the repositories that you install software from (gtk)
ii  transmission-gtk                              2.84-3ubuntu3.1                                 amd64        lightweight BitTorrent client (GTK+ interface)
ii  ubuntu-release-upgrader-gtk                   1:16.04.30                                      all          manage release upgrades
ii  unity-gtk-module-common                       0.0.0+15.04.20150118-0ubuntu3                   all          Common files for GtkMenuShell D-Bus exporter
ii  unity-gtk2-module:amd64                       0.0.0+15.04.20150118-0ubuntu3                   amd64        GtkMenuShell D-Bus exporter
ii  unity-gtk3-module:amd64                       0.0.0+15.04.20150118-0ubuntu3                   amd64        GtkMenuShell D-Bus exporter
ii  usb-creator-gtk                               0.3.2ubuntu16.04.2                              amd64        create a startup disk using a CD or disc image (for GNOME)
ii  winff-gtk2                                    1.5.3-6                                         amd64        GTK+ variant of winff
ii  xdg-desktop-portal-gtk                        1.0.2-0ubuntu0.0                                amd64        GTK+/GNOME portal backend for xdg-desktop-portal
ii  xdg-user-dirs-gtk                             0.10-1ubuntu1                                   amd64        tool to manage well known user directories (Gtk extension)

Was ist denn das für ein Ubuntu? Noch ein 16.04? Zeig mal
lsb_release -a

$ dpkg -l | grep libgtk-3
ii  libgtk-3-0:amd64                       3.22.30-1ubuntu4                                 amd64        GTK+ graphical user interface library
ii  libgtk-3-bin                           3.22.30-1ubuntu4                                 amd64        programs for the GTK+ graphical user interface library
ii  libgtk-3-common                        3.22.30-1ubuntu4                                 all          common files for the GTK+ graphical user interface library

$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 18.04.5 LTS
Release:	18.04
Codename:	bionic

Mit 3.22.30-1ubuntu4 habe ich die Probleme nicht.

ja, die Vorherige Version von PP geht problemlos
|Description:|Ubuntu 16.04.7 LTS|
|Release:|16.04|

Wenn das so stimmt, hast Du mit 16.04 schlechte Karten. Version >= 3.20 gibts es nur ab Ubuntu 18.04, siehe https://packages.ubuntu.com/search?keywords=libgtk-3-0

Wofür braucht man denn in der PP 0.48 Eclipse/SWT 4.16.x: GTK+ 3.20.0?
Kann man denn nicht weiterhin Ubuntu 16.04 kompatible Versionen verwenden?

Ein Zielkonflikt. Es traten gerade unter Linux in der Darstellung zuletzt öfters Probleme auf, gerade weil SWT wegen der Abwärtskompatibilität lange nicht aktualisiert wurde. Jetzt wurde das Framework genau aus diesem Grund aktualisiert.

Aber, die Vorgaben trifft Eclipse, welche SWT/GTK Anforderungen erfüllt sein müssen :wink: und Cherry piking geht hier leider nicht.